The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Exim not installed on Fedora 3

Discussion in 'General Discussion' started by WinterpegCanuck, Apr 7, 2005.

  1. WinterpegCanuck

    WinterpegCanuck Registered

    Joined:
    Mar 24, 2005
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    After installing cPanel using the latest installer (as of Tuesday) it keeps failing to install exim. Server status states 'exim (packageeximisnotinstalled) failed'. I can install exim with 'yum install exim' which installs 4.43, but then that yeilds 'exim (exim-4.43-1.FC3.1) failed' in server status. When I try to install from /scripts/exim4, it tries to install exim 4.50 but fails (see attached file).

    I have tried installing cPanel on fresh installes of Fedora core 3 (both minimal and server without x/gui) and on two different machines (simple pII test server and what will become production quad xeon). I am on the 15 day trial license as I compare this with other host managment products. I am currently favoring whm/cpanel (even against free options) if only I can get past this roadblock.

    From scouring these forms and google, I see some discontent towards using exim. Is it possible to use another mailserver with cpanel (I don't see naitivley, but maybe with an add-on)?
     

    Attached Files:

  2. cPanelBilly

    cPanelBilly Guest

    update to the latest edge version (in WHM) and then run:
    /scripts/exim4 --latest

    This should install the new version, this is only an issue because FC3 support is only in Edge.
     
  3. WinterpegCanuck

    WinterpegCanuck Registered

    Joined:
    Mar 24, 2005
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    I am in the process up upgrading to edge packages. The goal is to create a production server, and from the docs, edge is not recommended for production environments, so should I fall back to an earlier Fedora or would you recommend a distro that works well with cpanel. I chose fedora for testing simply because it had cpqarray already built into the installer kernel.
     
  4. cPanelBilly

    cPanelBilly Guest

    I would recommend using an OS that is currently fully supported (please check http://cpanel.net)
     
  5. WinterpegCanuck

    WinterpegCanuck Registered

    Joined:
    Mar 24, 2005
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Switching to Edge had no positive results, same error as in the text file from running '/scripts/exim4 --latest' after making changes and running updates in WHM. I will retry with a different distribution. Thank you for your efforts.
     
Loading...

Share This Page